=== debian/changelog ===
openmpi (1.4.5-1ubuntu1) quantal; urgency=low

  * Merge with Debian; remaining changes:
    - debian/rules: fix dh_installdocs to fix FTBFS. (LP: #813767)
    - Build using blcr on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Sep 2012 16:56:50 +0200

openmpi (1.4.5-1) unstable; urgency=low

  * New upstream release
  * ACK NMUs
  * Switch to dpkg-source 3.0 (quilt) format
  * Refresh of the patches
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 11:26:16 +0200

openmpi (1.4.3-2.2) unstable; urgency=low

  * Non-maintainer upload
  * debian/patches/arm_support: fix ARM timer code, by Leif Lindholm.
    Closes: #666110.
  * debian/libopenmpi1.3.lintian-overrides: New file, override
    "embedded-library" lintian error, see #671621.
  * debian/rules: Add dh_lintian.

 -- Michael Banck <mbanck@debian.org>  Sat, 05 May 2012 17:02:38 +0200

openmpi (1.4.3-2.1ubuntu3) precise; urgency=low

  * debian/patches/arm_support: fix ARM timer code (LP: #949044).

 -- Leif Lindholm <leif.lindholm@arm.com>  Tue, 27 Mar 2012 14:52:48 +0300

openmpi (1.4.3-2.1ubuntu2) precise; urgency=low

  * Build using blcr on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Dec 2011 14:41:18 +0100

openmpi (1.4.3-2.1ubuntu1) oneiric; urgency=low

  * debian/rules: fix dh_installdocs to fix FTBFS. (LP: #813767)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Wed, 20 Jul 2011 13:24:33 -0700

openmpi (1.4.3-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Add openmpi link fix, closes: #621978
    - Thanks to Daniel Schepler <dschepler@gmail.com>
  * Add arm support from ubuntu, closes: #617779
    - Thanks to Jani Monoses <jani@ubuntu.com>

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 20 Apr 2011 19:53:03 +0300

openmpi (1.4.3-2) unstable; urgency=low

  * Fixed symlinks for shared libraries. Thanks to Matthias Klose
    for the patch! Closes: #608717, #609830.
  * Fixed symlink loop in openmpi-checkpoint. Closes: #611454.

 -- Manuel Prinz <manuel@debian.org>  Fri, 11 Mar 2011 14:45:20 +0100

openmpi (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Removed the following patches, all applied upstream:
    - build_kfreebsd
    - manpage-errors-checkpoint
    - manpage-errors-macro
    - manpage-errors-whatis
    - manpage-spelling-errors
    - var-copy
  * Added a patch that fixes man page issues.
  * Added sparc64 to Architecture list. Thanks to Aurelien Jarno for
    the patch! Closes: #596134.

 -- Manuel Prinz <manuel@debian.org>  Wed, 15 Dec 2010 18:50:16 +0100

openmpi (1.4.2-4) unstable; urgency=low

  * Added patch to remove use of AS_VAR_GET. Closes: #592892.
  * debian/control: Added powerpcspe to architecture list. Thanks to
    Sebastian Andrzej Siewior for the patch! Closes: #593481.
  * Build with support for Torque (except on HURD). Closes: #592887.
  * Updated Standards-Version to 3.9.1. No changes needed.

 -- Manuel Prinz <manuel@debian.org>  Wed, 01 Sep 2010 17:53:44 +0200

openmpi (1.4.2-3) unstable; urgency=low

  * Fixed build issue on kFreeBSD. Closes: #589467.
  * Added and updated patch meta-information.

 -- Manuel Prinz <manuel@debian.org>  Tue, 20 Jul 2010 17:31:52 +0200

openmpi (1.4.2-2) unstable; urgency=low

  * Fixed broken broken library symlinks. Closes: #589319.

 -- Manuel Prinz <manuel@debian.org>  Fri, 16 Jul 2010 20:49:24 +0200

openmpi (1.4.2-1) unstable; urgency=low

  * New upstream release. Closes: #585800.
  * Updated patches.
  * Updated Standards-Version. No changes needed.
  * Install previously uninstalled files. Closes: #589043.
  * Fixed several errors in man pages.

 -- Manuel Prinz <manuel@debian.org>  Thu, 15 Jul 2010 17:19:23 +0200

openmpi (1.4.1-3) unstable; urgency=low

  * Added slave alternatives symlinks for MPI FORTRAN libraries.
    Thanks to Adam C. Powell, IV for the patch! Closes: #563705.
  * Recommend openmpi-checkpoint only on available architectures.
  * Increased update-alternatives priority of libopenmpi-dev.

 -- Manuel Prinz <manuel@debian.org>  Thu, 25 Mar 2010 16:32:21 +0100

openmpi (1.4.1-2) unstable; urgency=low

  * Fixed build issues on HURD. Thanks to Pino Toscano for the patch!
    Closes: #552397.
  * Recreate autotools stuff during build. Added autoconf, automake,
    libtool and libltdl-dev to Build-Depends.
  * openmpi-checkpoint now depends on blcr-util. Closes: #572229.
  * Fixed symlink issues with ompi-{checkpoint,restart}. Closes: #572021.
  * Retroactively adding LP entries to close bugs in Ubuntu's Launchpad.

 -- Manuel Prinz <manuel@debian.org>  Thu, 18 Mar 2010 17:57:30 +0100

openmpi (1.4.1-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * New upstream release. Libtool patch removed, included upstream.
  * Watch file updated.

  [ Manuel Prinz ]
  * Bumped Standards-Version to 3.8.4. No changes needed.
  * Updated section on alternatives in README.Debian.
  * Removed conflict with libopal-dev in libopenmpi-dev. Closes: #559161.
  * Removed conflict with ancient pgapack in libopenmpi-dev.
  * Fixed several spelling-error-in-manpage lintian warnings.
  * Deleted man pages provided by Debian, all included upstream.
  * Changed .install files to match soname bumps. The soname bumps were
    introduced by upstream to follow the libtool versioning guidelines.
    The ABI did not change and recompilations of rdepends are not needed.
  * Compile with support for heterogeneous environments and memory affinity.
    LP: #419074.
  * Provide symlinks for orte-{checkpoint,restart} for smoother transition.
    The tools were merged with ompi-{checkpoint,restart}.
  * Added ${misc:Depends} everywhere so lintian is happy.

 -- Manuel Prinz <manuel@debian.org>  Tue, 16 Feb 2010 17:59:12 +0100

openmpi (1.3.3-4) unstable; urgency=medium

  * Fixed security issue in copy of libtool, see CVE-2009-3736.
    Closes: #559836.

 -- Manuel Prinz <manuel@debian.org>  Tue, 08 Dec 2009 00:58:02 +0100

openmpi (1.3.3-3.1) unstable; urgency=low


